Skip to main content

Retrieve a storage class in NetApp Console local deployment

GET /v1/organizations/{organizationId}/storageclasses/{storageClassId}

Retrieves the storage class by using its unique identifier within the specified organization.

Parameters

Name Type In Required Description

storageClassId

string

path

True

Unique identifier of the storage class to retrieve.

organizationId

string

path

True

Unique identifier of the organization.

Response

Status: 200

Storage class retrieved successfully.

  • By default and when the Accept header is application/vnd.netapp.bxp.storageclass+json:

    The response returned will contain only id and name of the policies associated with it. For example, Default Storage Class Response.

  • When Accept header is application/vnd.netapp.bxp.storageclass.extended+json:

    The response returned will contain complete details of the policies associated with it. For example, Extended Storage Class Response.

Name Type Required Description

capacityPolicy

capacity_policy_1.0_get_response_body

False

description

string

False

Description of the storage class.

id

string

False

Unique identifier of the storage class.

metadata

type_bxp_metadata

False

Metadata associated with the resource.

name

string

False

Name of the storage class.

organizationId

string

False

Organization ID that the storage class is associated with.

performancePolicy

performance_policy_1.0_get_response_body

False

protectionPolicies

array[protection_policy_1.0_get_response_body]

False

securityPolicy

security_policy_1.0_get_response_body

False

storageClassType

string

False

Type of the storage class.

tags

array[tags]

False

JSON array of tags (name/value pairs) associated with the storage class. Can be used to add any additional data related to the storage class.

type

string

False

Media type of the resource. Defined values are:

  • "application/vnd.netapp.bxp.storageclass"

version

string

False

Version of the resource schema. Defined values are:

  • "1.0"

Example response
{
  "capacityPolicy": {
    "id": "b336b8c1-b388-43e4-8f85-4ca84121ebda",
    "name": "General Purpose Capacity Policy"
  },
  "description": "Configuration for high performance workloads",
  "id": "0fedcba9-8765-4321-0fed-cba987654321",
  "metadata": {
    "createdBy": "666a3f38-d4fa-5b62-a391-a69029758d32",
    "creationTimestamp": "2022-10-06T20:58:16.305662Z",
    "labels": [],
    "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
    "modifiedBy": "666a3f38-d4fa-5b62-a391-a69029758d32"
  },
  "name": "High Performance Configuration",
  "organizationId": "123e4567-e89b-12d3-a456-426614174000",
  "performancePolicy": {
    "id": "494a3e48-812a-4204-8450-32aa6aaf1c5f",
    "name": "High Performance Policy"
  },
  "protectionPolicies": [
    {
      "id": "92a8fc02-3bd2-4e1f-b034-521ca42ddabf",
      "name": "Snapshot Protected Policy"
    }
  ],
  "securityPolicy": {
    "id": "188714a5-6687-4410-83c3-7214f2943b2d",
    "name": "Encryption Enabled Policy"
  },
  "storageClassType": "SYSTEM_DEFINED",
  "tags": [
    {
      "internal:bxp:metric:associatedWorkloadCnt": "3"
    },
    {
      "internal:bxp:metric:complianceStatus": "compliant"
    }
  ],
  "type": "application/vnd.netapp.bxp.storageclass",
  "version": "1.0"
}

Error

Status: 400, Bad request
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The supplied query parameters are invalid.",
  "status": "400",
  "title": "Invalid query parameters",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 401, Unauthorized
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The request is missing the required bearer token.",
  "status": "401",
  "title": "Missing bearer token",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 403, Forbidden
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The requested operation isn't permitted.",
  "status": "403",
  "title": "Operation not permitted",
  "type": "https://bluexp.netapp.io/problems/11"
}

Error

Status: 404, Not found
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404",
  "title": "Collection not found",
  "type": "https://bluexp.netapp.io/problems/2"
}

Definitions

See Definitions

type_bxp_label

Name/value pair.

Name Type Required Description

name

string

True

Name of the label.

value

string

True

Value of the label.

type_bxp_metadata

Metadata associated with the resource.

Name Type Required Description

createdBy

string

False

UUID of the user who created the resource.

creationTimestamp

string

False

Resource creation date.

labels

array[type_bxp_label]

False

Array of name/value pairs representing additional information for the resource.

modificationTimestamp

string

False

Resource modification date.

modifiedBy

string

False

UUID of the user who modified the resource.

tags Hash mapping strings to string

capacity_policy_1.0_get_response_body

Name Type Required Description

autoGrow

string

False

Auto-grow setting of the capacity policy.

description

string

False

Description of the capacity policy.

id

string

True

Unique identifier of the capacity policy.

metadata

type_bxp_metadata

False

Metadata associated with the resource.

name

string

True

Name of the capacity policy.

organizationId

string

False

Organization ID that the policy is associated with.

policyType

string

False

Type of the capacity policy.

spaceReserved

string

False

Space reservation setting of the capacity policy.

tags

array[tags]

False

JSON array of tags (name/value pairs) associated with the capacity policy. Can be used to add any additional data related to the capacity policy.

tiering

string

False

Tiering setting of the capacity policy.

type

string

False

Media type of the resource. Defined values are:

  • "application/vnd.netapp.bxp.capacitypolicy"

version

string

False

Version of the resource schema. Defined values are:

  • "1.0"

volumeType

string

False

Volume type setting of the capacity policy.

adaptive_perf_policy_1.0

Adaptive performance policy details.

Name Type Required Description

absoluteMinIopsPerTb

integer

False

Absolute minimum IOPS per terabyte that is used as an override when the expected IOPS is less than this value.

expectedIopsPerTb

integer

True

Minimum expected IOPS, per terabyte.

expectedLatency

integer

True

Expected latency, in milliseconds.

peakIopsPerTb

integer

True

Maximum expected IOPS, per terabyte.

performance_policy_1.0_get_response_body

Name Type Required Description

adaptive

adaptive_perf_policy_1.0

False

Adaptive performance policy details.

description

string

False

Description of the performance policy.

id

string

True

Unique identifier of the performance policy.

metadata

type_bxp_metadata

False

Metadata associated with the resource.

name

string

True

Name of the performance policy.

organizationId

string

False

Organization ID that the policy is associated with.

policyType

string

False

Type of the performance policy.

tags

array[tags]

False

JSON array of tags (name/value pairs) associated with the performance policy. Can be used to add any additional data related to the performance policy.

type

string

False

Media type of the resource. Defined values are:

  • "application/vnd.netapp.bxp.performancepolicy"

version

string

False

Version of the resource schema. Defined values are:

  • "1.0"

snapshotSchedules

Name Type Required Description

retentionCount

integer

False

Number of snapshots to retain.

schedule

string

False

Type of schedule for snapshots.

protection_policy_1.0_get_response_body

Name Type Required Description

description

string

False

Description of the protection policy.

id

string

True

Unique identifier of the protection policy.

metadata

type_bxp_metadata

False

Metadata associated with the resource.

name

string

True

Name of the protection policy.

organizationId

string

False

Organization ID that the policy is associated with.

policyType

string

False

Type of the protection policy.

snapshotSchedules

array[snapshotSchedules]

False

An array of snapshot schedules defined in the protection policy.

tags

array[tags]

False

JSON array of tags (name/value pairs) associated with the protection policy. Can be used to add any additional data related to the protection policy.

type

string

False

Media type of the resource. Defined values are:

  • "application/vnd.netapp.bxp.protectionpolicy"

version

string

False

Version of the resource schema. Defined values are:

  • "1.0"

security_policy_1.0_get_response_body

Name Type Required Description

description

string

False

Description of the security policy.

encryptionType

string

False

Type of encryption applied by the security policy. Should be enabled (ENABLED) or can be enabled or disabled (ANY).

fips

string

False

FIPS setting. Should be enabled (ON), disabled (OFF), or can be enabled or disabled (ANY).

id

string

True

Unique identifier of the security policy.

metadata

type_bxp_metadata

False

Metadata associated with the resource.

name

string

True

Name of the security policy.

organizationId

string

False

Organization ID that the policy is associated with.

policyType

string

False

Type of the security policy.

ransomwareProtection

string

False

Ransomware protection setting. Should be enabled (ON), disabled (OFF), or can be enabled or disabled (ANY).

tags

array[tags]

False

JSON array of tags (name/value pairs) associated with the security policy. Can be used to add any additional data related to the security policy.

type

string

False

Media type of the resource. Defined values are:

  • "application/vnd.netapp.bxp.securitypolicy"

version

string

False

Version of the resource schema. Defined values are:

  • "1.0"

invalidParams

Name Type Required Description

name

string

True

Name of the invalid parameter.

reason

string

True

Reason why the parameter is invalid.